---
title: Revision dashboard
slug: MDN/Tools/Revision_dashboard
tags:
  - Guide
  - MDN Meta
  - Site-wide
  - Tools
---
<div>{{MDNSidebar}}</div><p><span class="seoSummary">The <a href="/dashboards/revisions" title="https://developer.mozilla.org/dashboards/revisions">revision dashboard</a> is a feature of the MDN Web Docs wiki which lets you look at recent revisions and additions to content on MDN, examine details of what was changed, and act upon those revisions in various ways.</span> This article is a guide to using the revision dashboard.</p>

<h2 id="First_look">First look</h2>

<p>The revision dashboard has a busy interface with tons of handy features, so let's start with an overview of the interface's primary sections.</p>

<p><img alt="Annotated screenshot of main revision dashboard view" src="https://mdn.mozillademos.org/files/11481/MDN_Revision_Dashboard_main.png" style="height: 625px; width: 1102px;"></p>

<p>The most important things to note here are the revision list, which lets you browse through revisions matching your filter, and the revision diff, which shows the changes made in the revision you click on.</p>

<h2 id="The_revision_list">The revision list</h2>

<p>The revision list in the middle of the revision dashboard window provides a list of changes that have been made recently. The list is ordered with the most-recently changed article first, progressing toward older and older revisions.</p>

<p>Immediately below the revision list is an indicator telling you how many total pages match your query and which of them you're currently viewing. If you haven't filtered anything out, you'll see the total number of pages of revisions that have ever been made to the MDN wiki.</p>

<p>Each row in the list corresponds to a single change to the wiki. A "change" consists of any one or more of the following:</p>

<ul>
 <li>A new page was created. These are indicated with a "new" tag under the revision timestamp.</li>
 <li>A page was moved. This is indicated in the Comment column, with a shaded box that shows  "&lt;old path&gt; ➞ &lt;new path&gt;".</li>
 <li>The text of a page was changed.</li>
 <li>The page's tags were changed.</li>
 <li>A page was deleted. {{unimplemented_inline()}}</li>
</ul>

<p>Each row has four columns: Revision, Title, Comment, and Author.</p>

<h3 id="Revision_column">Revision column</h3>

<p>The revision column gives you information about the change that was made. This column offers several bits of information:</p>

<dl>
 <dt>Timestamp</dt>
 <dd>The exact date and time when the revision was saved. This is a link that takes you to a revision detail page, which shows some metadata and the contents of the revision.</dd>
 <dt>Locale</dt>
 <dd>The article's locale is indicated by a tag in this column. This is displayed as the language shortcode, such as "en-US" for US English.</dd>
 <dt>File change indicators</dt>
 <dd>A <strong>new</strong> tag is displayed if this is a new article that didn't exist previously. A <strong>deleted</strong> tag appears if the revision represents that the page was deleted. It's possible for a revision to show both a <strong>new</strong> and a <strong>deleted</strong> tag, if a page was deleted after only one revision</dd>
</dl>

<h3 id="Title_column">Title column</h3>

<dl>
 <dt>Article title</dt>
 <dd>The article's title, as it is set on the page, is displayed in this column. The title is also a link to the article in the wiki, so you can go look at it directly quickly and easily.</dd>
 <dt>Article path</dt>
 <dd>Under the article title, the path of the article is shown. This is the part of the article's URL that comes after <code>http://developer.mozilla.org/<em>&lt;locale&gt;</em>/docs/</code>.</dd>
</dl>

<h3 id="Comment_column">Comment column</h3>

<dl>
 <dt>Revision comment</dt>
 <dd>If the author of the change added a revision comment there was one added when the change was saved. This is displayed in smaller, italicized text.</dd>
 <dt>Move information</dt>
 <dd>If the revision represents a move of the page, the source and destination paths on the wiki are displayed.</dd>
</dl>

<h3 id="Author_column">Author column</h3>

<p>The author column lists the username of the person that saved the revision. You can click the name to quickly view the profile page for that user.</p>

<div class="note">
<p><strong>For admins only:</strong> MDN users who have administrator privileges also see a <strong>Toggle IPs</strong> button in the Author column heading. Clicking this button displays the IP address of each author, enabling admins to ban abusive authors by IP address. If a user has been banned, an indication is shown under the username, but this is visible only to Admin users.</p>
</div>

<h2 id="Filtering">Filtering</h2>

<p>MDN provides several helpful filtering options that you can use to reduce the amount of "stuff" you see in the revision list based on your needs. Once you've configured your filter, click the <strong>Filter</strong> button to apply it; after a few moments, the display will update with your filtered results. There are several filters available:</p>

<dl>
 <dt>Locale</dt>
 <dd>You may filter so that you only see changes in a specific locale. By default, you see changes across all locales, but this may not be useful to you. Indeed, if you're a member of a localization team, for example, the only locales you're likely to care about are your own and English. You can specify the locale to filter by in the URL when going to the revision dashboard by adding "locale=&lt;localename&gt;" to the query string. For example: <a href="https://developer.mozilla.org/en-US/dashboards/revisions?locale=en-US">https://developer.mozilla.org/en-US/dashboards/revisions?locale=en-US</a> filters to show only changes to English documents.</dd>
 <dt>User</dt>
 <dd>Interested in what a specific user has been up to? You can look at the revisions submitted by a single user by entering it in this field. You can specify a user in the URL when going to the revision dashboard by adding "user=&lt;username&gt;" to the query string. For example, you can see changes by the user Sheppy with <a href="https://developer.mozilla.org/en-US/dashboards/revisions?user=Sheppy">https://developer.mozilla.org/en-US/dashboards/revisions?user=Sheppy</a>. This box will offer suggestions as you type, to help you find exactly the person you're looking for.</dd>
 <dt>Topic</dt>
 <dd>If you'd like to see changes only about a given topic area, you can specify a topic string. This will be matched against the URLs of articles that have been changed and show only those whose titles include this string. You can specify the parameter "topic=&lt;topic&gt;" in the URL's query string to filter on this, as well. For example, if you'd like to see only JavaScript-related changes: <a href="https://developer.mozilla.org/en-US/dashboards/revisions?topic=JavaScript">https://developer.mozilla.org/en-US/dashboards/revisions?topic=JavaScript</a>.</dd>
 <dt>Start Date and End Date</dt>
 <dd>You can specify that you want to see only revisions in a certain range of dates, or with a certain starting or ending date. The dashboard UI provides date selection widgets for these fields. You can specify these parameters in the URL's query string, but you must use your system locale's version of the date string. For example: https://developer.mozilla.org/en-US/dashboards/revisions?start_date=09%2F01%2F2015 for revisions starting with September 2, 2015 in the en-US locale.</dd>
 <dt>Preceding Period</dt>
 <dd>Rather than typing or selecting start or end dates, you can specify that you want to see revisions from a selected period prior to the present time, such as the last hour, day, week, or 30 days.</dd>
</dl>

<p>It's also worth noting that you can use these filters together, either in the user interface or in the URL's query string, so you can do fairly intricate searches. For example, to find only changes made to English articles about JavaScript that were made by the user {{UserLink("evilpie")}}, you can use <a href="https://developer.mozilla.org/en-US/dashboards/revisions?locale=en-US&amp;user=evilpie&amp;topic=JavaScript">https://developer.mozilla.org/en-US/dashboards/revisions?locale=en-US&amp;user=evilpie&amp;topic=JavaScript</a>.</p>

<h2 id="The_revision_diff">The revision diff</h2>

<p>You can view a "diff" view that shows the difference between a given revision and the previous version of the page. To see the diff for a revision, click anywhere in the row that is not a link (that is, the timestamp, the article title, or the author's username). The row expands to show the revision diff and revision controls within the row.</p>

<p><img alt="Annotated screenshot of revision dashboard view" src="https://mdn.mozillademos.org/files/11485/MDN_Revision_Dashboard_diff.png" style="height: 245px; width: 1201px;"></p>

<p>The revision controls allow the following operations on the article:</p>

<ul>
 <li><strong>Revert</strong>: reverts the article to the revision preceding the one displayed.</li>
 <li><strong>View page</strong>: displays the current state of the page.</li>
 <li><strong>Edit page</strong>: opens the page in edit mode.</li>
 <li><strong>History</strong>: opens the History view of the page.</li>
</ul>

